import { IsValidSchema, JsonValidationSet, Mode } from '@shopify/theme-check-common';
import { CompletionItem, CompletionList, CompletionParams, Hover, HoverParams, ClientCapabilities as LSPClientCapabilities } from 'vscode-languageserver';
import { DocumentManager } from '../documents';
import { GetTranslationsForURI } from '../translations';
import { GetThemeBlockNames } from './JSONContributions';
export declare class JSONLanguageService {
    private documentManager;
    private jsonValidationSet;
    private getDefaultSchemaTranslations;
    private getModeForURI;
    private getThemeBlockNames;
    private services;
    private schemas;
    constructor(documentManager: DocumentManager, jsonValidationSet: JsonValidationSet, getDefaultSchemaTranslations: GetTranslationsForURI, getModeForURI: (uri: string) => Promise<Mode>, getThemeBlockNames: GetThemeBlockNames);
    setup(clientCapabilities: LSPClientCapabilities): Promise<void>;
    completions(params: CompletionParams): Promise<null | CompletionList | CompletionItem[]>;
    hover(params: HoverParams): Promise<Hover | null>;
    isValidSchema: IsValidSchema;
    private getDocuments;
    private getSchemaForURI;
}
